$ ! Apache_Setup.Com -- Usually run once at installation.
$ !
$ ! Lee Tibbert, based on earlier work by Phillipe Vouters,
$ ! 1999-05-25
$ ! File version:  X0.2-1
$
$ ! This file is a best effort to create a working environment for
$ ! Apache on OpenVMS.  I realize that it may not cover all the obscure
$ ! possibilities, but I believe that it does cover the majority of
$ ! possibilties.
$ 
$ set :=
$ 
$ set symbol/scope=(nolocal, noglobal)
$
$ this_proc = f$env("PROCEDURE")
$ this_dev = f$parse(this_proc,,,"DEVICE")
$ this_dir = f$parse(this_proc,,,"DIRECTORY") - "[" - "]" - "<" - ">"
$
$ apache_sys$login = "''this_dev'[''this_dir']"
$ apache_logs =    "''this_dev'[''this_dir'.LOGS]"
$
$ ! To be nice, should save current default directory here & restore at
$ ! end.  Have to leave _something_ for future versions & maintainers to do....
$ 
$ set default 'apache_sys$login
$ set default [] ! make sure bracket form of directory in use.
$
$
$ if f$trnlnm("SYSUAF") .eqs. "" then -
	define/user SYSUAF SYS$SYSTEM:SYSUAF.DAT
$
$ mcr authorize
modify APACHE /Network/NoBatch/NoLocal/NoDial/NoRemote -    
	    /Lgicmd=LOGIN -
	    /Flags=(Restricted, LockPwd, DisNewMail, DisMail, DisReport)
$ 
$ ! Set directory version limits keep log and pid files from filling disk.
$
$ set directory/version=10 'apache_sys$login'
$ set directory/version=5  'apache_logs'
$
$ ! TCPIP Setup
$ service_name = "ApacheWWW"
$
$ UCX SET SERVICE -
        /FILE='apache_sys$login'apache_httpd_run.com -
        /LOG=(ALL) -
        /PORT=80 -
        /PROCESS_NAME="ApacheWWW" -
        /USER_NAME=APACHE -
	'service_name'
$
$ ! 1440 minutes is one day (60 * 24)
$ ! 511 for service limit mirrors Apache's internal number.
$
$ UCX SET SERVICE -
	/Flags=(NoListen) -
	/Inactivity=(1440) -
        /Limit= 511 -
        /Socket=(Receive=8192, Send=8192, Keepalive)-
	'service_name'
$ 
$ ! If depricated ServerType inetd used in [.conf]httpd.conf, then
$ ! manually disable service, change service to
$ !       /FLAG=listen 
$ ! and enable service
$
$ ucx enable service 'service_name'
$
$ ! end of file
